PSPaudioware PSP Twin-L v1.1.0 [WiN]

Publisher: PSPaudioware
Product: PSP Twin-L
Version: 1.1.0-R2R
Formats: VST2, VST3, AAX
Requirements: Windows x32 or x64 (7, 8 or 10)
  • Publisher: PSPaudioware
  • Product: PSP Twin-L
  • Version: 1.1.0-R2R
  • Formats: VST2, VST3, AAX
  • Requirements: Windows x32 or x64 (7, 8 or 10)

PSP Twin-L is a dual algorithm classic limiter. The aim of this plug-in is to provide a wide variety of shaping options. The plug-in is able to emulate the main features of two types of limiter: VCA-limiters, which is a modern type of analog limiter, and Opto-limiters which are vintage optical limiters. Keep in mind, however, that PSP Twin-L’s limiting algorithms are not intended to emulate any specific hardware but rather to bring the capabilities of both types into a versatile plug-in. It’s also worth mentioning that the PSP Twin-L is part of our series Zero Latency Processing plug-ins; no additional latency is critical in many situations such as live monitoring and managing automation.

Leave a Reply